import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krezus/domains/budget/budget_bloc.dart';
import 'package:krezus/pages/budgets/widgets/budget_comparator.dart';
import 'package:krezus/pages/budgets/widgets/budget_maker.dart';

class MonthDistribution extends StatelessWidget {
  const MonthDistribution({super.key});

  @override
  Widget build(BuildContext context) {
    
    return BlocBuilder<BudgetBloc, BudgetState>(
      builder: (context, state) => const Column(
        children: [
          BudgetMaker(),
          BudgetComparator(),
        ],
      )
    );
  }
}